<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>تمرین ماشین حساب</title>
    <link rel="stylesheet" href="myCalcStyle.css" />
  </head>
  <body>
    <div class="container">
      <form name="form" id="myForm">
        <div class="display">
          <input  type="text"   placeholder="0" name="displayResult" id="displayResult" />
        </div>
        <input type="button" value="c" class="red"  onclick="reset()"/>
        
        <h2>JavaScript Calculator!</h2>
        
        <div class="row">
            <input type="button" name="b7" value="7" onclick="addToCalculator(b7.value)"/>
            <input type="button" name="b8" value="8" onclick="addToCalculator(b8.value)"/>
            <input type="button" name="b9" value="9" onclick="addToCalculator(b9.value)"/>
            <input type="button" name="addb" value="+" onclick="addToCalculator(addb.value)"/>
            <input type="button" name="abs" value="|x|" onclick="mathCalc('abs')"/>
            <input type="button" name="ceil" value="ce" onclick="mathCalc('ceil')"/>
        </div>
        <div class="row">
            <input type="button" name="b4" value="4" onclick="addToCalculator(b4.value)"/>
            <input type="button" name="b5" value="5" onclick="addToCalculator(b5.value)"/>
            <input type="button" name="b6" value="6" onclick="addToCalculator(b6.value)"/>
            <input type="button" name="subb" value="-" onclick="addToCalculator(subb.value)"/>
            <input type="button" name="sqrt" value="&radic;" onclick="mathCalc('sqrt')"/>
            <input type="button" name="floor" value="fl" onclick="mathCalc('floor')"/>

        </div>
        <div class="row">
            <input type="button" name="b1" value="1" onclick="addToCalculator(b1.value)"/>
            <input type="button" name="b2" value="2" onclick="addToCalculator(b2.value)"/>
            <input type="button" name="b3" value="3" onclick="addToCalculator(b3.value)"/>
            <input type="button" name="mulb" value="*" onclick="addToCalculator(mulb.value)"/>
            <input type="button" name="round" value="r" onclick="mathCalc('round')"/>
            <input type="button" name="power" value="^" onclick="mathCalc('pow')"/>
        </div>
        <div class="row">
            <input type="button" name="b0" value="0" onclick="addToCalculator(b0.value)"/>
            <input type="button" name="potb" value="." onclick="addToCalculator(potb.value)"/>
            <input type="button" name="divb" value="/" onclick="addToCalculator(divb.value)"/>
            <input type="button" class="green" name="green" value="=" onclick="finalize()"/>

        </div>


      </form>
    </div>

    <script>
        var powerFlag=false;

        function addToCalculator(value){
            document.getElementById('displayResult').value+=value;
            if(powerFlag){
                var numbers = document.getElementById('displayResult').value.split('^');
                console.log(numbers);
                document.getElementById('displayResult').value = Math.pow(numbers[0],numbers[1]);
                powerFlag= false; 
            }
        }

        function finalize(){
            console.log(document.getElementById('displayResult').value);
            document.getElementById('displayResult').value=eval(document.getElementById('displayResult').value);
            console.log('value = ',document.getElementById('displayResult').value);
        }

        function reset(){
            document.getElementById('displayResult').value='';
        }

        function mathCalc(mathFunc){
            if(mathFunc=='pow'){
                powerFlag=true;
                document.getElementById('displayResult').value +='^';
            }else{
                console.log(mathFunc);
                var val = document.getElementById('displayResult').value;
                document.getElementById('displayResult').value =  Math[mathFunc](val);
            }


            // switch (mathFunc) {
            //     case 'sqrt':
            //         document.getElementById('displayResult').value = Math.sqrt(document.getElementById('displayResult').value);
            //         break;
            //     case 'round':
            //         document.getElementById('displayResult').value=Math.round(document.getElementById('displayResult').value);
            //         break;
            //     case 'power':
            //         document.getElementById('displayResult').value = Math.pow(document.getElementById('displayResult').value);
            //         break;
                    
            //         break;
            
            //     default:
            //         break;
            // }
        }
    </script>
  </body>
</html>
